Bug 1267677 - [RFE] installed-rpms output should contain less information on an rpm
Summary: [RFE] installed-rpms output should contain less information on an rpm
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sos
Version: 6.8
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Shane Bradley
QA Contact: Martin Frodl
Jiri Herrmann
URL:
Whiteboard:
Depends On:
Blocks: 1274384
TreeView+ depends on / blocked
 
Reported: 2015-09-30 15:59 UTC by Imogen Flood-Murphy
Modified: 2016-05-10 21:06 UTC (History)
12 users (show)

Fixed In Version: sos-3.2-37.el6
Doc Type: Enhancement
Doc Text:
Human-readable installed-rpms The format of the `installed-rpms` sosreport list has been simplified to allow for optimal human readability.
Clone Of:
: 1341101 (view as bug list)
Environment:
Last Closed: 2016-05-10 21:06:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0819 normal SHIPPED_LIVE sos bug fix and enhancement update 2016-05-10 22:39:56 UTC

Description Imogen Flood-Murphy 2015-09-30 15:59:47 UTC
Description of problem:
when using installed-rpms to check which packages are installed there is too much information in it for your average frontline engineer, I would like to propose that installed-rpms go back to the previous format, and the extra data that is now included be put in a seperate file 

Version-Release number of selected component (if applicable):
3.2

How reproducible:
every time

Steps to Reproduce:
1. request sosreport from a customer running sos-3.2 or later
2. check installed-rpms
3. get TMI and it is not human readable

Actual results:

output similar to for each package in installed-rpms:

zlib-1.2.3-29.el6.x86_64                                    Mon Jun 29 17:57:22 2015	1435593442	Red Hat, Inc.	x86-022.build.eng.bos.redhat.com	89021503050050b48ede199e2f91fd431d510108f47d0ffa02a89449276fb58ca22d3029a79dd9d4b1d5cb49b5fae01d9bfd2df57c371df16367886748192e441e5e8b6a6a2b480edbfc8db8d8d465232c5632275ecf4df39b4bc7379529185a4878db2b4b940794af2667ce1ba41b1602b868ee04d189b1e03f4acbd6adaad0128918968c054af577754ce133c22ab1ac31b18249db3a9bd7601384b0037f684ca8d9efe4fb42dd2175f057bc99ad4bfa22a6789f3a4f129460299877556ae7d9c0a8e36e0feb595426dc8eeb1dab9d58aa5e0a6bb5348dc077e7e77f6b319f223c1abd76ce3e8e1a24c023f8e07d86adcf4a07ab2d38c6f36ba41082a0387208b6d7b979d487e33bb7d9eba8b90877c0426ed63e2298bbb7f8daea4813147340a356481e3db36b3ad6cf268d35ad2b20506775f4aaef811859da405d09283e07c3700f51da6ff7fff3ddace453c5320d341805268c3f1c479813e2746ac4088cf682b39bdcef6634cb894cb0806e0b4736d16a2429d5e433ada0318e68f604627a1e2dc1a33b8d1c9f5fdf70228a93a09264680a76aa1668322cad4af4b2a76d19807f5bd8c80320178019e67d0d7ea7b27744ddd32ab7aab2814f3d36b752a29dd2ff8eeb0f54f73d68c9c341efdbf4252ac197b7740ba48ae8b037522f42fe89ec89dd102aebd10fae643a6799b52ec6628281b7827a0297ebe79b0cdc32ae671bf2e29db1b9ed49067676202a483988f280d3af193d	RSA/8, Tue Nov 27 10:58:54 2012, Key ID 199e2f91fd431d51

Expected results:
in installed-rpms the following information:

zlib-1.2.3-29.el6.x86_64                                    Tue May  6 11:51:53 2014

and everything else somewhere else. Or a new file that contains just the package name and installation date if moving the pgp key and extra data elsewhere is not feasible

Additional info:

Comment 2 masanari iida 2015-12-10 02:53:04 UTC
I am from a customer support.
I use sosreport every time my customer open a call.
Latest output format gives me pain.
I prefer to use "rpm -qa --last" type of output, 
because I can find any latest changes from the list.
I don't prefer to use "sort by package name" list.

I know that latest format (with build time) may useful
to find out if the customer uses RHEL binary or CentOS binary.
(Now a day RPM package name doesn't tell the difference.)
But I seldom face such a situation.
So my suggestion is, make it simple output for default,
and keep value-added output as optional.

Comment 7 masanari iida 2016-03-02 05:47:08 UTC
Test with sos-3.2.39.el6.noarch.rpm from RHEL6.8 alpha-1,
the soscommand/rpm/sh_-nodigsest_-qa_--qf_NAME.......(snip)...sort_-f 

Output example
abrt-2.0.8-34.el6.x86_64                                    Tue Mar  1 23:44:15 2016
abrt-addon-ccpp-2.0.8-34.el6.x86_64                         Tue Mar  1 23:44:15 2016
abrt-addon-kerneloops-2.0.8-34.el6.x86_64                   Tue Mar  1 23:44:15 2016
abrt-addon-python-2.0.8-34.el6.x86_64                       Tue Mar  1 23:44:16 2016
abrt-cli-2.0.8-34.el6.x86_64                                Tue Mar  1 23:52:16 2016
abrt-desktop-2.0.8-34.el6.x86_64                            Tue Mar  1 23:52:16 2016

I installed the sos RPM into RHEL6.7 system, 
so the list of RPM files in "Output example" are from RHEL6.7. 
Thanks!

Comment 10 errata-xmlrpc 2016-05-10 21:06:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0819.html


Note You need to log in before you can comment on or make changes to this bug.